post
https://partner.gupshup.io/partner/bizgate/app//conversions/event
Forwards a Conversions API event payload to Self Serve as-is, which validates it and manages the dataset for the app.
Request parameters
Path parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| appId | Identifier of the WhatsApp app the call acts on. | 6f414190-d45c-4671-bca1-fb6c3018cb13 | String | Required |
Sample cURL — Push conversion events.
curl --request POST \
--url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/conversions/event' \
--header 'Authorization: Bearer <UT>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"data" : [ {
"event_name" : "Purchase",
"event_time" : 1675999999,
"action_source" : "business_messaging",
"messaging_channel" : "whatsapp",
"user_data" : {
"whatsapp_business_account_id" : 1234567890,
"ctwa_clid" : "ARAkLkA8rmlHPSjuaKg8aDLOVF0N0hrgRE83tobzP0AMt3CrDtn5zfRXBbrtDK0c5rU"
},
"custom_data" : {
"currency" : "USD",
"value" : 123
}
} ],
"partner_agent" : "partner-name"
}'Sample success response (200)
{
"events_received": 1,
"fbtrace_id": "AYZhpp4scrUfVIWcEWJ7NmN",
"messages": [ ],
"status": "success"
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…